View Issue Details

IDProjectCategoryView StatusLast Update
0004453Talerotherpublic2019-02-12 23:18
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritylowSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version0.0 
Target Version0.6Fixed in Version0.6 
Summary0004453: python components should respect loglevel
Description... in a way similar to GNUnet / the other Taler components
TagsNo tags attached.

Activities

Marcello Stanisci

2018-09-21 11:23

manager   ~0013250

You mean we want our pythons to:

1) have always a -L <loglev> CLI option
2) interpret some env variable having the same format of GNUNET_FORCE_LOG

?

Christian Grothoff

2019-02-02 10:51

manager   ~0013558

See also https://gnunet.org/logging

Marcello Stanisci

2019-02-06 15:20

manager   ~0013614

Commit 3c42d73724a3ccbf2 (at copylib.git) implements the following things:

* interpretation of env var GNUNET_LOG
* interpretation of env var GNUNET_FORCE_LOG
* interpretation of env var GNUNET_FORCE_LOGFILE

and it does NOT do the following things:

* enforcing the 'file', 'function', 'from line[-to line]' fields of logging definitions
* adding any '-L' and '-l' CLI options. For this, I don't think it's the logger responsibility to deal with CLI arguments; rather, it should be some universal "wrapper" that adjusts such values for all the GNUnet-ish pythons (exactly like GNUNET_PROGRAM_run does). If we really want this, let's (first discuss and then) open a separate issue.

Marcello Stanisci

2019-02-06 19:22

manager   ~0013620

b3de4b42a6cc6032 implemets the check on the other fields (line, function name, line range).

Keeping it open until proper testing will be implemented.

Marcello Stanisci

2019-02-07 16:47

manager   ~0013623

be06e05..d3a6c1b finishes this issue (including all was missing).

Issue History

Date Modified Username Field Change
2016-04-20 16:55 Florian Dold New Issue
2016-05-04 15:50 Christian Grothoff Severity minor => feature
2016-05-04 15:50 Christian Grothoff Product Version => 0.0
2016-05-04 15:50 Christian Grothoff Priority normal => low
2016-05-04 15:50 Christian Grothoff Status new => confirmed
2017-03-18 23:35 Christian Grothoff Target Version => 0.7
2017-04-09 00:17 Christian Grothoff Target Version 0.7 => 0.6
2018-09-15 11:08 Christian Grothoff Assigned To => Marcello Stanisci
2018-09-15 11:08 Christian Grothoff Status confirmed => assigned
2018-09-21 11:23 Marcello Stanisci Note Added: 0013250
2019-02-02 10:51 Christian Grothoff Note Added: 0013558
2019-02-06 15:20 Marcello Stanisci Note Added: 0013614
2019-02-06 19:22 Marcello Stanisci Note Added: 0013620
2019-02-07 16:47 Marcello Stanisci Status assigned => resolved
2019-02-07 16:47 Marcello Stanisci Resolution open => fixed
2019-02-07 16:47 Marcello Stanisci Note Added: 0013623
2019-02-12 23:18 Christian Grothoff Fixed in Version => 0.6